# $Revision: 1.7 $, $Date: 2011/11/01 16:33:44 $
%define		status		stable
%define		pearname	Crypt_GPG
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - GNU Privacy Guard (GPG)
Summary(pl.UTF-8):	%{pearname} - Gnu Privacy Guard (GPG)
Name:		php-pear-%{pearname}
Version:	1.3.2
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	8dea7ae503c282cedca591706bc2cc04
URL:		http://pear.php.net/package/Crypt_GPG/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Suggests:	php-posix
Obsoletes:	php-pear-Crypt_GPG-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides an object oriented interface to GNU Privacy
Guard (GPG). It requires the GPG executable to be on the system.

Though GPG can support symmetric-key cryptography, this package is
intended only to facilitate public-key cryptography.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten dostarcza zorientowanego obiektowo interfejsu do narzędzi
Gnu Privacy Guard (GPG). Wymagana jest obecność tych narzędzi w
systemie.

Chociaż GPG wspiera kryptografię klucza symetrycznego, pakiet ten w
założeniu ma wspierać kryptografię klucza publicznego.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Crypt_GPG/ChangeLog .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Crypt/GPG
%{php_pear_dir}/Crypt/GPG.php
%{php_pear_dir}/Crypt/GPGAbstract.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_GPG.spec,v $
Revision 1.7  2011/11/01 16:33:44  glen
- up to 1.3.2

Revision 1.6  2010/11/17 10:33:46  glen
- up to 1.2.0

Revision 1.5  2010/08/22 08:50:53  glen
- ensure rpmbuild macros present

Revision 1.4  2010/08/19 19:03:20  glen
- up to 1.1.1

Revision 1.3  2009/01/23 18:13:03  adamg
- updated to 1.0.0

Revision 1.2  2008/10/11 09:08:08  adamg
- updated to 0.7.1

Revision 1.1  2008-05-18 08:54:11  adamg
- new
